import request from '@/utils/request'

// 查询物料分组列表
export function listProductGroups(query) {
	return request({
		url: '/wms/productGroups/list',
		method: 'get',
		params: query
	});
}

// 查询物料分组详细
export function getProductGroups(pgId) {
	return request({
		url: '/wms/productGroups/' + pgId,
		method: 'get'
		});
}

// 新增物料分组
export function addProductGroups(data) {
	return request({
		url: '/wms/productGroups',
		method: 'post',
		data: data
	});
}

// 修改物料分组
export function updateProductGroups(data) {
	return request({
		url: '/wms/productGroups',
		method: 'put',
		data: data
	});
}

// 删除物料分组
export function delProductGroups(pgId) {
	return request({
		url: '/wms/productGroups/' + pgId,
		method: 'delete'
	});
}
